Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 10 Mar 2023 11:51:26 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I choose click and collect on my order because I thought it will be faster. My order is still showing as processing. I want to cancel my order right away and please refund. This online experience and customer service on call does not help at all. Why should you make the life so harder

PLEASE CANCEL AND REFUND ASAP

THANK YOU!!!! REMOVING THE APP AS SOON AS IT HAPPEN https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5823353